CREATE OR REPLACE FUNCTION MAP_EJARI_PROPERTY_TYPE_EN AS (x) ->
    CASE 
        WHEN x = 1          THEN 'Shop'
        WHEN x = 2          THEN 'Office'
        WHEN x = 3          THEN 'Clinic'
        WHEN x = 4          THEN 'Labor Camps'
        WHEN x = 5          THEN 'Garage'
        WHEN x = 6          THEN 'Showroom'
        WHEN x = 7          THEN 'Warehouse'
        WHEN x = 8          THEN 'Workshop'
        WHEN x = 9          THEN 'Store'
        WHEN x = 10         THEN 'Mezzanine'
        WHEN x = 11         THEN 'Parking'
        WHEN x = 12         THEN 'Villa Addendum'
        WHEN x = 13         THEN 'Open Space'
        WHEN x = 14         THEN 'Open Land'
        WHEN x = 16         THEN 'Hospital'
        WHEN x = 17         THEN 'Sports Club'
        WHEN x = 18         THEN 'Shopping Center'
        WHEN x = 19         THEN 'Complex Villas'
        WHEN x = 20         THEN 'Warehouse complex'
        WHEN x = 24         THEN 'Hotel'
        WHEN x = 27         THEN 'Endowments attached to Mosques'
        WHEN x = 28         THEN 'Petrol Station'
        WHEN x = 29         THEN 'University'
        WHEN x = 30         THEN 'Hotel apartments'
        WHEN x = 31         THEN 'School'
        WHEN x = 32         THEN 'Medical center'
        WHEN x = 33         THEN 'College'
        WHEN x = 34         THEN 'Farm'
        WHEN x = 35         THEN 'Land Parking'
        WHEN x = 37         THEN 'Nursery'
        WHEN x = 38         THEN 'Horse stable'
        WHEN x = 41         THEN 'Building multi-storey parking'
        WHEN x = 42         THEN 'Supermarket, a Multi-section'
        WHEN x = 44         THEN 'Comercial Complex'
        WHEN x = 45         THEN 'Factory'
        WHEN x = 46         THEN 'Restaurants Complex'
        WHEN x = 47         THEN 'Complex Warehouse'
        WHEN x = 48         THEN 'Health Club'
        WHEN x = 841        THEN 'Villa'
        WHEN x = 842        THEN 'Flat'
        WHEN x = 844        THEN 'Building'
        WHEN x = 863        THEN 'ATM'
        WHEN x = 883        THEN 'Restaurant'
        WHEN x = 903        THEN 'Studio'
        WHEN x = 923        THEN 'Arabian House'
        WHEN x = 943        THEN 'Hall'
        WHEN x = 963        THEN 'Kiosk'
        WHEN x = 983        THEN 'Sign Board'
        WHEN x = 984        THEN 'Bank'
        WHEN x = 985        THEN 'Staff Accommodation'
        WHEN x = 1045       THEN 'Lab'
        WHEN x = 105883666  THEN 'Petrol Station'
        WHEN x = 117312876  THEN 'Car Wash'
        WHEN x = 117831596  THEN 'Service Center'
        WHEN x = 124013886  THEN 'Open Storage Shed'
        WHEN x = 159265616  THEN 'Spa'
        WHEN x = 183267976  THEN 'Storage'
        WHEN x = 188076256  THEN 'Garden'
        WHEN x = 194944106  THEN 'Ladies Saloon'
        WHEN x = 221562996  THEN 'Pharmacy'
        WHEN x = 241146726  THEN 'Cinema'
        WHEN x = 280946546  THEN 'Supermarket'
        WHEN x = 352361946  THEN 'Penthouse'
        WHEN x = 359908656  THEN 'Gym'
        WHEN x = 608333806  THEN 'Portacabin'
        WHEN x = 790817956  THEN 'Kitchen'
        WHEN x = 1348597426 THEN 'Desk'
        WHEN x = 1914199786 THEN 'Church'
        WHEN x = 2117944026 THEN 'Hotel Building'
    END;

CREATE OR REPLACE FUNCTION MAP_EJARI_PROPERTY_TYPE_AR AS (x) ->
    CASE 
        WHEN x = 1          THEN 'محل'
        WHEN x = 2          THEN 'مكتب'
        WHEN x = 3          THEN 'عياده'
        WHEN x = 4          THEN 'سكن عمال'
        WHEN x = 5          THEN 'كراج'
        WHEN x = 6          THEN 'معرض'
        WHEN x = 7          THEN 'مستودع'
        WHEN x = 8          THEN 'ورشه'
        WHEN x = 9          THEN 'مخزن'
        WHEN x = 10         THEN 'ميزانين'
        WHEN x = 11         THEN 'موقف'
        WHEN x = 12         THEN 'ملحق فيلا'
        WHEN x = 13         THEN 'مساحه فاضية'
        WHEN x = 14         THEN 'أرض فضاء'
        WHEN x = 16         THEN 'مستشفى'
        WHEN x = 17         THEN 'نادي رياضى'
        WHEN x = 18         THEN 'مركز تسوق'
        WHEN x = 19         THEN 'مجمع فلل'
        WHEN x = 20         THEN 'مجمع مخازن'
        WHEN x = 24         THEN 'فندق'
        WHEN x = 27         THEN 'أوقاف ملحقه بالمساجد'
        WHEN x = 28         THEN 'محطه وقود'
        WHEN x = 29         THEN 'جامعه'
        WHEN x = 30         THEN 'شقق فندقيه'
        WHEN x = 31         THEN 'مدرسه'
        WHEN x = 32         THEN 'مركز طبي'
        WHEN x = 33         THEN 'كليه'
        WHEN x = 34         THEN 'مزرعه'
        WHEN x = 35         THEN 'أرض مواقف'
        WHEN x = 37         THEN 'حضانه أطفال'
        WHEN x = 38         THEN 'إسطبل خيول'
        WHEN x = 41         THEN 'مبنى مواقف متعدد الطوابق'
        WHEN x = 42         THEN 'سوبرماركت متعدد الأقسام'
        WHEN x = 44         THEN 'مجمع تجاري'
        WHEN x = 45         THEN 'مصنع'
        WHEN x = 46         THEN 'مجمع مطاعم'
        WHEN x = 47         THEN 'مجمع مستودعات'
        WHEN x = 48         THEN 'نادي صحي'
        WHEN x = 841        THEN 'فيلا'
        WHEN x = 842        THEN 'شقه'
        WHEN x = 844        THEN 'مبنى'
        WHEN x = 863        THEN 'مساحه صراف آلي'
        WHEN x = 883        THEN 'مطعم'
        WHEN x = 903        THEN 'أستوديو'
        WHEN x = 923        THEN 'بيت عربي'
        WHEN x = 943        THEN 'قاعة'
        WHEN x = 963        THEN 'كشك'
        WHEN x = 983        THEN 'لوحة اعلانية'
        WHEN x = 984        THEN 'بنك'
        WHEN x = 985        THEN 'سكن موظفين'
        WHEN x = 1045       THEN 'مختبر'
        WHEN x = 105883666  THEN 'محطة وقود'
        WHEN x = 117312876  THEN 'مغسلة سيارات'
        WHEN x = 117831596  THEN 'مركز خدمة'
        WHEN x = 124013886  THEN 'التخزين المفتوحة'
        WHEN x = 159265616  THEN 'منتجع'
        WHEN x = 183267976  THEN 'تخزين'
        WHEN x = 188076256  THEN 'حديقة'
        WHEN x = 194944106  THEN 'السيدات صالون'
        WHEN x = 221562996  THEN 'صيدلية'
        WHEN x = 241146726  THEN 'سينما'
        WHEN x = 280946546  THEN 'سوبر ماركت'
        WHEN x = 352361946  THEN 'كنة'
        WHEN x = 359908656  THEN 'صالة رياضية'
        WHEN x = 608333806  THEN 'غرف'
        WHEN x = 790817956  THEN 'مطبخ'
        WHEN x = 1348597426 THEN 'مكت'
        WHEN x = 1914199786 THEN 'كنيسة'
        WHEN x = 2117944026 THEN 'مبنى الفندق'
    END;