CREATE OR REPLACE FUNCTION MAP_ESCROW_AGENT_EN AS (x) ->
    CASE 
        WHEN x = 1        THEN 'DUBAI ISLAMIC BANK (PJSC)'
        WHEN x = 2        THEN 'EMIRATES ISLAMIC BANK (PJSC)'
        WHEN x = 3        THEN 'HSBC BANK MIDDLE EAST LIMITED'
        WHEN x = 4        THEN 'ABU DHABI ISLAMIC BANK'
        WHEN x = 5        THEN 'ABU DHABI COMMERCIAL BANK'
        WHEN x = 6        THEN 'UNION NATIONAL BANK'
        WHEN x = 7        THEN 'EMIRATES NBD BANK (PJSC)'
        WHEN x = 8        THEN 'PRIVATE EQUITY FINANCING'
        WHEN x = 10       THEN 'COMMERCIAL BANK OF DUBAI (PJSC)'
        WHEN x = 11       THEN 'STANDARD CHARTERED BANK'
        WHEN x = 13       THEN 'AMLAK FINANCE (PJSC)'
        WHEN x = 14       THEN 'HABIB BANK AG ZURICH'
        WHEN x = 15       THEN 'EMIRATES ISLAMIC BANK'
        WHEN x = 16       THEN 'SHARJAH ISLAMIC BANK'
        WHEN x = 17       THEN 'BANK OF BARODA'
        WHEN x = 18       THEN 'AL AHLI BANK OF KUWAIT'
        WHEN x = 19       THEN 'FIRST ABU DHABI BANK (PJSC)'
        WHEN x = 21       THEN 'NOOR BANK (PJSC)'
        WHEN x = 25       THEN 'FIRST ABU DHABI BANK (PJSC)'
        WHEN x = 26       THEN 'ARAB BANK FOR INVESTMENT & FOREIGN TRADE ALMASREF (PJSC)'
        WHEN x = 27       THEN 'BANK OF SHARJAH'
        WHEN x = 29       THEN 'BANORIENT BANK FRANCE'
        WHEN x = 31       THEN 'UNITED BANK LTD (MANAGEMENT OFFICE)'
        WHEN x = 32       THEN 'RESOURCES FOR FINANCING'
        WHEN x = 33       THEN 'MASHREQ BANK (PJSC)'
        WHEN x = 34       THEN 'COMMERCIAL BANK INTERNATIONAL (PJSC)'
        WHEN x = 35       THEN 'INDUSTRIAL AND COMMERCIAL BANK OF CHAINA LIMITED - ABU DHABI BRANCH'
        WHEN x = 36       THEN 'THE NATIONAL BANK OF FUJAIRAH (PJSC)'
        WHEN x = 39       THEN 'INVEST BANK (PJSC)'
        WHEN x = 41       THEN 'AJMAN BANK (PJSC)'
        WHEN x = 42       THEN 'UNITED ARAB BANK'
        WHEN x = 44       THEN 'ARAB BANK (PLC)'
        WHEN x = 8168715  THEN 'INDUSTRIAL AND COMMERCIAL BANK OF CHAINA LIMITED - ABU DHABI BRANCH'
        WHEN x = 10985665 THEN 'THE NATIONAL BANK OF FUJAIRAH (PJSC)'
        WHEN x = 12763214 THEN 'INVESTMENT BANK (PJSC)'
        WHEN x = 14486243 THEN 'ARAB AFRICAN INTERNATIONAL BANK'
        WHEN x = 29766834 THEN 'AJMAN BANK (PJSC)'
        WHEN x = 33602168 THEN 'UNITED ARAB BANK'
    END;

CREATE OR REPLACE FUNCTION MAP_ESCROW_AGENT_AR AS (x) ->
    CASE 
        WHEN x = 1        THEN 'بنك دبي الاسلامي (شركة مساهمة عامة)'
        WHEN x = 2        THEN 'مصرف الامارات الاسلامي مساهمة عامة'
        WHEN x = 3        THEN 'بنك اتش اس بى سى الشرق الاوسط المحدود'
        WHEN x = 4        THEN 'مصرف ابوظبى الاسلامى'
        WHEN x = 5        THEN 'بنك ابوظبى التجارى'
        WHEN x = 6        THEN 'بنك الاتحاد الوطنى'
        WHEN x = 7        THEN 'بنك الإمارات دبي الوطني (ش.م.ع)'
        WHEN x = 8        THEN 'تمويل  مساهمة خاصة'
        WHEN x = 10       THEN 'بنك دبي التجاري (ش.م.ع)'
        WHEN x = 11       THEN 'ستاندرد تشارترد بنك'
        WHEN x = 13       THEN 'املاك للتمويل (شركة مساهمة عامة )'
        WHEN x = 14       THEN 'حبيب بنك اى جى زيوريخ'
        WHEN x = 15       THEN 'مصرف الامارات الاسلامي'
        WHEN x = 16       THEN 'مصرف الشارقه الاسلامى'
        WHEN x = 17       THEN 'بنك برودا'
        WHEN x = 18       THEN 'البنك الاهلى الكويتى ش م ك'
        WHEN x = 19       THEN 'بنك أبوظبي الأول ش.م.ع.'
        WHEN x = 21       THEN 'نور بنك (مساهمة عامة)'
        WHEN x = 25       THEN 'بنك أبوظبي الأول ش.م.ع.'
        WHEN x = 26       THEN 'المصرف العربي للاستثمار والتجارة الخارجية المصرف (مساهمة عامة)'
        WHEN x = 27       THEN 'بنك الشارقة'
        WHEN x = 29       THEN 'بنك بانورينت فرنسا'
        WHEN x = 31       THEN 'يونايتد بنك ليمتد ( مكتب الادارة )'
        WHEN x = 32       THEN 'موارد للتمويل'
        WHEN x = 33       THEN 'بنك المشرق (شركة مساهمة عامة)'
        WHEN x = 34       THEN 'البنك التجاري الدولي ش . م. ع'
        WHEN x = 35       THEN 'بنك الصين الصناعى والتجارى المحدود - فرع ابوظبى'
        WHEN x = 36       THEN 'بنك الفجيره الوطنى ش م ع'
        WHEN x = 39       THEN 'بنك الاستثمار - ش.م.ع'
        WHEN x = 41       THEN 'مصرف عجمان/ ش.م.ع'
        WHEN x = 42       THEN 'البنك العربي المتحد'
        WHEN x = 44       THEN 'البنك العربي ( ش.م.ع)'
        WHEN x = 8168715  THEN 'بنك الصين الصناعى والتجارى المحدود - فرع ابوظبى'
        WHEN x = 10985665 THEN 'بنك الفجيره الوطنى ش م ع'
        WHEN x = 12763214 THEN 'بنك الاستثمار - ش.م.ع'
        WHEN x = 14486243 THEN 'البنك العربي الافريقي الدولي'
        WHEN x = 29766834 THEN 'مصرف عجمان/ ش.م.ع'
        WHEN x = 33602168 THEN 'البنك العربي المتحد'
    END;