CREATE OR REPLACE FUNCTION MAP_MASTER_COMMUNITY_EN AS (x) ->
    CASE 
        WHEN x = -11 THEN 'Palm Jumeirah'
        WHEN x = -10 THEN 'Jumeirah Village'
        WHEN x = -1  THEN 'Unspecified'
        WHEN x = 1   THEN 'Palm Jumeirah'
        WHEN x = 8   THEN 'Dubai Water Front'
        WHEN x = 9   THEN 'Jumeirah Village Circle'
        WHEN x = 10  THEN 'Jumeirah Village Triangle'
        WHEN x = 12  THEN 'Al Furjan'
        WHEN x = 13  THEN 'Discovery Gardens'
        WHEN x = 15  THEN 'Jebel Ali Village'
        WHEN x = 19  THEN 'Jumeirah Lakes Towers'
        WHEN x = 20  THEN 'Jumeirah Park'
        WHEN x = 21  THEN 'Jumeirah Islands'
        WHEN x = 23  THEN 'International City'
        WHEN x = 24  THEN 'International City Ph 2 & 3'
        WHEN x = 33  THEN 'The Greens'
        WHEN x = 34  THEN 'Dubai Marina'
        WHEN x = 35  THEN 'Burj Khalifa District'
        WHEN x = 50  THEN 'Emirates Hills'
        WHEN x = 88  THEN 'Liwan'
        WHEN x = 91  THEN 'Majan'
        WHEN x = 92  THEN 'Al Barari'
        WHEN x = 94  THEN 'Dubai Studio City'
        WHEN x = 95  THEN 'Motor City'
        WHEN x = 96  THEN 'Arjan'
        WHEN x = 98  THEN 'Dubai Sports City'
        WHEN x = 102 THEN 'Damac Hills'
        WHEN x = 106 THEN 'Dubai Investment Park'
        WHEN x = 111 THEN 'Dubai Production City'
        WHEN x = 112 THEN 'Business Bay'
        WHEN x = 115 THEN 'Dubai HealthCare City'
        WHEN x = 118 THEN 'Culture Village'
        WHEN x = 119 THEN 'Festival City'
        WHEN x = 121 THEN 'Meydan'
        WHEN x = 122 THEN 'Downtown Jebel Ali'
        WHEN x = 124 THEN 'Jumeriah Beach Residence  - JBR'
        WHEN x = 134 THEN 'City Walk'
        WHEN x = 136 THEN 'Dubai Industrial City'
        WHEN x = 182 THEN 'Nad Al Sheba'
        WHEN x = 183 THEN 'Badra'
        WHEN x = 184 THEN 'Veneto'
        WHEN x = 501 THEN 'Dubai Science Park'
        WHEN x = 502 THEN 'Al Qouz'
        WHEN x = 503 THEN 'Al Sufouh'
        WHEN x = 504 THEN 'Falconcity of Wonders'
        WHEN x = 506 THEN 'Nshama'
        WHEN x = 507 THEN 'Mirdif'
        WHEN x = 509 THEN 'Arabian Ranches - 1'
        WHEN x = 517 THEN 'Dubai Land'
        WHEN x = 519 THEN 'Dubai Silicon Oasis'
        WHEN x = 522 THEN 'Barsha Heights'
        WHEN x = 524 THEN 'Dubai South'
        WHEN x = 529 THEN 'Dubai World Trade Centre'
        WHEN x = 532 THEN 'Bluewaters Island'
        WHEN x = 533 THEN 'Jumeira Bay'
        WHEN x = 534 THEN 'Pearl Jumeira'
        WHEN x = 535 THEN 'La Mer'
        WHEN x = 536 THEN 'Deira'
        WHEN x = 537 THEN 'Arabian Ranches - 2'
        WHEN x = 541 THEN 'DownTown Dubai'
        WHEN x = 544 THEN 'Uptown Mirdif'
        WHEN x = 545 THEN 'Dubai Hills Estate'
        WHEN x = 546 THEN 'Emaar South'
        WHEN x = 547 THEN 'Dubai Creek Harbour'
    END;

CREATE OR REPLACE FUNCTION MAP_MASTER_COMMUNITY_AR AS (x) ->
    CASE 
        WHEN x = -11 THEN 'نخلة الجميرا'
        WHEN x = -10 THEN 'قرية الجميرا'
        WHEN x = -1  THEN 'غير محدد'
        WHEN x = 1   THEN 'نخلة الجميرا'
        WHEN x = 8   THEN 'الواجهة البحرية'
        WHEN x = 9   THEN 'قرية جميرا الدائرية'
        WHEN x = 10  THEN 'قرية الجميرا'
        WHEN x = 12  THEN 'الفرجان'
        WHEN x = 13  THEN 'حدائق ديسكفري'
        WHEN x = 15  THEN 'قرية جبل علي'
        WHEN x = 19  THEN 'أبراج بحيرات جميرا'
        WHEN x = 20  THEN 'منتزه الجميرا'
        WHEN x = 21  THEN 'جزر الجميرا'
        WHEN x = 23  THEN 'المدينة العالمية'
        WHEN x = 24  THEN 'المدينة العالمية - المرحلة الثانية والثالثة'
        WHEN x = 33  THEN 'الحدائق'
        WHEN x = 34  THEN 'مرسى دبي'
        WHEN x = 35  THEN 'منطقة برج خليفة'
        WHEN x = 50  THEN 'تلال الامارات'
        WHEN x = 88  THEN 'ليوان'
        WHEN x = 91  THEN 'ماجان'
        WHEN x = 92  THEN 'البراري'
        WHEN x = 94  THEN 'مدينة دبي للستديو'
        WHEN x = 95  THEN 'موتور ستي'
        WHEN x = 96  THEN 'أرجان'
        WHEN x = 98  THEN 'مدينة دبي الرياضية'
        WHEN x = 102 THEN 'تلال دماك'
        WHEN x = 106 THEN 'مجمع دبي للاستثمار'
        WHEN x = 111 THEN 'مدينة دبي للانتاج'
        WHEN x = 112 THEN 'بزنس باي'
        WHEN x = 115 THEN 'مدينة دبي الطبية'
        WHEN x = 118 THEN 'قرية الثقافة'
        WHEN x = 119 THEN 'فستيفال ستي'
        WHEN x = 121 THEN 'ميدان'
        WHEN x = 122 THEN 'داون تاون دبل علي'
        WHEN x = 124 THEN 'جميرا بيتش ريزيدنس  - الجيه بي آر'
        WHEN x = 134 THEN 'سيتي ووك'
        WHEN x = 136 THEN 'مدينة دبي الصناعية'
        WHEN x = 182 THEN 'ند الشبا'
        WHEN x = 183 THEN 'بدرة'
        WHEN x = 184 THEN 'فينيتو'
        WHEN x = 501 THEN 'حديقة دبي للعلوم'
        WHEN x = 502 THEN 'القوز'
        WHEN x = 503 THEN 'الصفوح'
        WHEN x = 504 THEN 'فالكن سيتي اوف وندورز'
        WHEN x = 506 THEN 'نشاما'
        WHEN x = 507 THEN 'مردف'
        WHEN x = 509 THEN 'المرابع العربية - 1'
        WHEN x = 517 THEN 'دبي لاند'
        WHEN x = 519 THEN 'واحة دبي للسيليكون'
        WHEN x = 522 THEN 'مرتفعات برشا'
        WHEN x = 524 THEN 'دبي الجنوب'
        WHEN x = 529 THEN 'المركز التجاري'
        WHEN x = 532 THEN 'جزيرة بلووترز'
        WHEN x = 533 THEN 'جميرا باي'
        WHEN x = 534 THEN 'لؤلؤة الجميرا'
        WHEN x = 535 THEN 'لامير'
        WHEN x = 536 THEN 'ديرة'
        WHEN x = 537 THEN 'المرابع العربية - 2'
        WHEN x = 541 THEN 'داون تاون دبي'
        WHEN x = 544 THEN 'أب تاون مردف'
        WHEN x = 545 THEN 'دبي هيلز استيت,'
        WHEN x = 546 THEN 'اعمار الجنوب,,'
        WHEN x = 547 THEN 'خور دبي'
    END;