CREATE OR REPLACE FUNCTION MAP_ROOMS_REVERSE AS (x) ->
    CASE
        WHEN x = '1 B/R'                       THEN 1
        WHEN x = '1bed room+Hall'              THEN 1
        WHEN x = '2 B/R'                       THEN 2
        WHEN x = '2 bed rooms+hall'            THEN 2
        WHEN x = '3 B/R'                       THEN 3
        WHEN x = '3 bed rooms+hall'            THEN 3
        WHEN x = '4 B/R'                       THEN 4
        WHEN x = '4 bed rooms+hall'            THEN 4
        WHEN x = '5 B/R'                       THEN 5
        WHEN x = '5 bed rooms+hall'            THEN 5
        WHEN x = '6 B/R'                       THEN 6
        WHEN x = '6 bed rooms+hall'            THEN 6
        WHEN x = '7 B/R'                       THEN 7
        WHEN x = '7 bed rooms+hall'            THEN 7
        WHEN x = '8 B/R'                       THEN 8
        WHEN x = '8 bed rooms+hall'            THEN 8
        WHEN x = '9 B/R'                       THEN 9
        WHEN x = '9 bed rooms+hall'            THEN 9
        WHEN x = '10 B/R'                      THEN 10
        WHEN x = '10 bed rooms+hall'           THEN 10
        WHEN x = 'Studio'                      THEN 0
        WHEN x = '2 B/R + Study'               THEN 2
        WHEN x = 'Room in labor Camp'          THEN 12
        WHEN x = 'Warehouse'                   THEN 13
        WHEN x = 'Workshop'                    THEN 14
        WHEN x = 'Store cooled'                THEN 61
        WHEN x = 'Shop with a mezzanine'       THEN 17
        WHEN x = 'Showroom with mezzanine'     THEN 18
        WHEN x = 'College'                     THEN 19
        WHEN x = 'Showroom'                    THEN 18
        WHEN x = 'Factory'                     THEN 21
        WHEN x = 'PENTHOUSE'                   THEN 621
        WHEN x = 'Parking'                     THEN 22
        WHEN x = '2 + Terrace'                 THEN 2
        WHEN x = 'ATM'                         THEN 23
        WHEN x = 'Kiosk'                       THEN 24
        WHEN x = 'Machine'                     THEN 23
        WHEN x = 'Counter Printing'            THEN 17
        WHEN x = 'Studio'                      THEN 11
        WHEN x = 'Cinema'                      THEN 27
        WHEN x = 'Food court'                  THEN 28
        WHEN x = 'Restaurant'                  THEN 28
        WHEN x = 'Coffe shop'                  THEN 30
        --WHEN x = 'L04'                         THEN 30
        WHEN x = 'Pharmacy'                    THEN 31
        WHEN x = 'Hall weddings'               THEN 32
        WHEN x = 'Boardroom'                   THEN 33
        --WHEN x = '1'                           THEN 34
        WHEN x = 'Hat Saloon'                  THEN 17
        WHEN x = 'Duplex'                      THEN 35
        WHEN x = 'Car wash'                    THEN 36
        WHEN x = 'Supermarket'                 THEN 37
        WHEN x = 'Labor Camp'                  THEN 38
        WHEN x = 'Garage'                      THEN 39
        WHEN x = 'Laundry'                     THEN 40
        WHEN x = 'Grocery'                     THEN 44
        WHEN x = 'Shop'                        THEN 17
        WHEN x = 'GYM'                         THEN 49
        WHEN x = '5 + Terrace'                 THEN 5
        WHEN x = 'Office'                      THEN 58
        WHEN x = 'Store Room'                  THEN 61
        WHEN x = 'Kiosk'                       THEN 64
        WHEN x = 'Single Room'                 THEN 65
        WHEN x = 'Hotel'                       THEN 68
        WHEN x = 'Shop'                        THEN 17
        WHEN x = 'Office'                      THEN 58
        WHEN x = 'Clinic'                      THEN 441
        WHEN x = 'Health club'                 THEN 49
        WHEN x = 'Storage'                     THEN 61
        WHEN x = 'Store'                       THEN 17
        WHEN x = 'Hotel'                       THEN 68
        WHEN x = 'GYM'                         THEN 541
        WHEN x = 'School'                      THEN 19
        WHEN x = 'Mezzanine'                   THEN 581
        WHEN x = 'Room'                        THEN 65
        WHEN x = 'Penthouse'                   THEN 621
        WHEN x = 'Sign board'                  THEN 17
        WHEN x = 'Bank'                        THEN 23
        WHEN x = 'Fish counter'                THEN 681
        WHEN x = 'Lab'                         THEN 701
        WHEN x = 'Open space'                  THEN 58
        WHEN x = 'Staff Accommodatoion'        THEN 985
        WHEN x = 'Poultry Farm'                THEN 1000
        WHEN x = 'Pertol Station'              THEN 24
        WHEN x = 'Warehouse with a mezzanine'  THEN 13
        WHEN x = 'WorkShop with a mezzanine'   THEN 14
        WHEN x = 'Service Center'              THEN 17
        WHEN x = 'OPEN STORAGE SHED'           THEN 61
        WHEN x = 'Hospital'                    THEN 441
        WHEN x = 'Coffe shop,Fast Food'        THEN 30
        WHEN x = 'Internet cafe , Fast Food'   THEN 30
        WHEN x = 'Open Land'                   THEN 1003
        WHEN x = 'Nursery'                     THEN 441
        WHEN x = 'Spa'                         THEN 49
        WHEN x = '2 bed rooms+hall+Maids Room' THEN 2
        WHEN x = 'Garden'                      THEN 1003
        WHEN x = 'Ladies Saloon'               THEN 50
        WHEN x = 'Hotel apartments'            THEN 68
        WHEN x = 'Farm'                        THEN 1000
        WHEN x = 'Commercial villa'            THEN 16
        WHEN x = 'Portacabin Rooms'            THEN 20
        WHEN x = 'Horse stable'                THEN 1001
        WHEN x = 'kitchen'                     THEN 28
        WHEN x = '15 bed room+hall'            THEN 15
        WHEN x = '11 bed rooms+hall'           THEN 11
        WHEN x = 'Desk'                        THEN 58
        WHEN x = 'laboratory'                  THEN 701
        WHEN x = 'church'                      THEN 1002
        WHEN x = 'hotel building'              THEN 68
    END;

CREATE OR REPLACE FUNCTION MAP_ROOMS_EN AS (x) ->
    CASE 
        WHEN x = 0    THEN 'Studio'
        WHEN x = 1    THEN '1 B/R'
        WHEN x = 2    THEN '2 B/R'
        WHEN x = 3    THEN '3 B/R'
        WHEN x = 4    THEN '4 B/R'
        WHEN x = 5    THEN '5 B/R'
        WHEN x = 6    THEN '6 B/R'
        WHEN x = 7    THEN '7 B/R'
        WHEN x = 8    THEN '8 B/R'
        WHEN x = 9    THEN '9 B/R'
        WHEN x = 10   THEN '10 B/R'
        WHEN x = 11   THEN '11 B/R'
        WHEN x = 12   THEN 'Room in Labor Camp'
        WHEN x = 13   THEN 'Warehouse'
        WHEN x = 14   THEN 'Workshop'
        WHEN x = 15   THEN '15 B/R'
        WHEN x = 16   THEN 'Commercial Villa'
        WHEN x = 17   THEN 'Shop | Store'
        WHEN x = 18   THEN 'Showroom'
        WHEN x = 19   THEN 'School'
        WHEN x = 20   THEN 'Portacabin Rooms'
        WHEN x = 21   THEN 'Factory'
        WHEN x = 22   THEN 'Parking'
        WHEN x = 23   THEN 'Bank | ATM'
        WHEN x = 24   THEN 'Kiosk'
        WHEN x = 27   THEN 'Cinema'
        WHEN x = 28   THEN 'Restaurant'
        WHEN x = 30   THEN 'Coffee House'
        WHEN x = 31   THEN 'Pharmacy'
        WHEN x = 32   THEN 'Wedding Halls'
        WHEN x = 33   THEN 'Boardroom'
        WHEN x = 35   THEN 'Duplex'
        WHEN x = 36   THEN 'Car Wash'
        WHEN x = 37   THEN 'Supermarket'
        WHEN x = 38   THEN 'Labor Camp'
        WHEN x = 39   THEN 'Garage'
        WHEN x = 40   THEN 'Laundry'
        WHEN x = 44   THEN 'Grocery'
        WHEN x = 49   THEN 'Health club | Spa'
        WHEN x = 50   THEN 'Ladies Saloon'
        WHEN x = 58   THEN 'Office'
        WHEN x = 61   THEN 'Storage'
        WHEN x = 65   THEN 'Single Room'
        WHEN x = 68   THEN 'Hotel'
        WHEN x = 441  THEN 'Clinic | Nursery'
        WHEN x = 581  THEN 'Mezzanine'
        WHEN x = 621  THEN 'Penthouse'
        WHEN x = 681  THEN 'Fish counter'
        WHEN x = 701  THEN 'Laboratory'
        WHEN x = 985  THEN 'Staff Accommodation'
        WHEN x = 1000 THEN 'Farm'
        WHEN x = 1001 THEN 'Horse stable'
        WHEN x = 1002 THEN 'Church'
        WHEN x = 1003 THEN 'Open Land | Garden'
    END;

CREATE OR REPLACE FUNCTION MAP_ROOMS_AR AS (x) ->
    CASE 
        WHEN x = 0    THEN 'أستوديو'
        WHEN x = 1    THEN 'غرفة و صالة'
        WHEN x = 2    THEN 'غرفتين و صالة'
        WHEN x = 3    THEN 'ثلاثة غرفة و صالة'
        WHEN x = 4    THEN 'اربعة غرف و صالة'
        WHEN x = 5    THEN 'خمسة غرف و صالة'
        WHEN x = 6    THEN 'ستة غرف و صالة'
        WHEN x = 7    THEN 'سبعة غرف و صالة'
        WHEN x = 8    THEN 'ثمانية غرف و صالة'
        WHEN x = 9    THEN 'تسعة غرف و صالة'
        WHEN x = 10   THEN 'عشرة غرف و صالة'
        WHEN x = 11   THEN '11 غرف نوم + صالة'
        WHEN x = 12   THEN 'غرفه سكن عمال'
        WHEN x = 13   THEN 'مستودع'
        WHEN x = 14   THEN 'ورشه'
        WHEN x = 15   THEN 'خمسة عشر غرفة'
        WHEN x = 16   THEN 'فيلا تجارية'
        WHEN x = 17   THEN 'محل'
        WHEN x = 18   THEN 'معرض'
        WHEN x = 19   THEN 'مدرسه'
        WHEN x = 20   THEN 'كابينة متنقلة - غرف'
        WHEN x = 21   THEN 'مصنع'
        WHEN x = 22   THEN 'موقف'
        WHEN x = 23   THEN 'مساحه صراف آلي'
        WHEN x = 24   THEN 'كشك'
        WHEN x = 27   THEN 'سينما'
        WHEN x = 28   THEN 'مطعم'
        WHEN x = 30   THEN 'مقهى'
        WHEN x = 31   THEN 'صيدلية'
        WHEN x = 32   THEN 'صالة اعراس'
        WHEN x = 33   THEN 'قاعة اجتماعات'
        WHEN x = 35   THEN 'شقة طابقين'
        WHEN x = 36   THEN 'مغسلة سيارات'
        WHEN x = 37   THEN 'سوبر ماركت'
        WHEN x = 38   THEN 'سكن عمال'
        WHEN x = 39   THEN 'كراج'
        WHEN x = 40   THEN 'مغسلة'
        WHEN x = 44   THEN 'بقالة'
        WHEN x = 49   THEN 'نادي صحي'
        WHEN x = 50   THEN 'السيدات صالون'
        WHEN x = 58   THEN 'مكتب'
        WHEN x = 61   THEN 'تخزين'
        WHEN x = 65   THEN 'غرفة مستقلة'
        WHEN x = 68   THEN 'الفندق'
        WHEN x = 441  THEN 'عيادة'
        WHEN x = 581  THEN 'ميزانين'
        WHEN x = 621  THEN 'بينت هاوس'
        WHEN x = 681  THEN 'سمك'
        WHEN x = 701  THEN 'مختبر'
        WHEN x = 985  THEN 'سكن موظفين'
        WHEN x = 1000 THEN 'مزرعه'
        WHEN x = 1001 THEN 'إسطبل خيول'
        WHEN x = 1002 THEN 'كنيسة'
        WHEN x = 1003 THEN 'أرض فضاء'
    END;