CREATE OR REPLACE TABLE
	"{dld_database}"."{dld_table}_staging"(
		"area_id" Int128,
		"zone_id" Nullable(Int128),
		"parcel_id" Nullable(Int128),
		"land_number" Nullable(Int128),
		"land_sub_number" Nullable(Int128),
		"land_type_id" Nullable(Int128),
		"master_project_id" Nullable(Int128), 
		"master_project_en" Nullable(Varchar(90)), 
		"master_project_ar" Nullable(Varchar(150)),
		"project_id" Nullable(Int128),
		"project_name_ar" Nullable(Varchar(252)), 
		"project_name_en" Nullable(Varchar(154)),
		"building_number" Nullable(Varchar(66)),
		"parent_property_id" Nullable(Int128),
		"property_id" Nullable(Int128),
		"property_sub_type_id" Nullable(Int128),
		"is_free_hold" Nullable(Bool), 
		"is_lease_hold" Nullable(Bool), 
		"is_registered" Nullable(Bool),
		"pre_registration_number" Nullable(Varchar(20)),
		"creation_date" Nullable(Date),
		"built_up_area" Nullable(Float),
		"common_area" Nullable(Float),
		"actual_common_area" Nullable(Int128),
		"actual_area" Nullable(Float),
		"bld_levels" Nullable(Int128),
		"floors" Nullable(Int128),
		"rooms_en" Nullable(Varchar(46)), 
		"car_parks" Nullable(Int128),
		"elevators" Nullable(Int128),
		"swimming_pools" Nullable(Int128),
		"offices" Nullable(Int128),
		"shops" Nullable(Int128),
		"flats" Nullable(Int128)
	) 
    ENGINE = MergeTree()
    PRIMARY KEY("area_id");